## PhoshSettings

PhoshSettings — The settings menu

## Functions

GtkWidget * | phosh_settings_new ()

## Signals

void | setting-done | Run Last

## Types and Values

#define | PHOSH_TYPE_SETTINGS
| PhoshSettings

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── PhoshSettings

## Implemented Interfaces

PhoshSettings implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### phosh_settings_new ()

    GtkWidget *
    phosh_settings_new (void);

## Types and Values

### PHOSH_TYPE_SETTINGS

    #define PHOSH_TYPE_SETTINGS (phosh_settings_get_type())

### PhoshSettings

    typedef struct _PhoshSettings PhoshSettings;

## Signal Details

### The `“setting-done”` signal

    void
    user_function (PhoshSettings *phoshsettings,
                   gpointer       user_data)

Flags: Run Last